<template>
  <el-dialog title="跟进统计" :close-on-click-modal="false" append-to-body :visible.sync="visible" width="500px" min-height="500">
    <div>
      <el-form ref="dialogForm" :model="dialogForm" label-width="110px" >
        <el-form-item label="今日跟进线索数" prop="name">
          <span>{{dialogForm.total}}</span>
        </el-form-item>
        <el-form-item v-for="item in dialogForm.intentionCountList" :label="item.label"  >
          <span>{{item.num}}</span>
        </el-form-item>
      </el-form>
    </div>
  </el-dialog>
</template>
<script>
import { getFollowCount } from '@/api/zs/clue';
export default {
  name: 'FollowCountDialog',
  data() {
    return {
      visible: false,
      publicList: [],
      dialogForm:{}
    };
  },
  methods: {
    init() {
      this.visible = true;
      this.getCount();
    },
    getCount() {
      this.loading = true;
      getFollowCount().then((resp) => {
        if (resp && resp.code === 200) {
          this.dialogForm = resp.data;
          this.loading = false;
        }
      });
    },
  }
};
</script>

